/**
 * EasyBeans
 * Copyright (C) 2007 Bull S.A.S.
 * Contact: easybeans@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: EJB21DeployableImpl.java 1494 2007-06-28 16:57:29Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.ee.deploy.impl.deployable;

import org.ow2.util.ee.deploy.api.deployable.EJB21Deployable;

import org.ow2.util.ee.deploy.api.archive.IArchive;


/**
 * Implementation for an EJB 2.1.
 * @author Florent Benoit
 */
public class EJB21DeployableImpl extends AbsDeployable<EJB21Deployable> implements EJB21Deployable {

    /**
     * Defines and create a deployable for the given archive.
     * @param archive the given archive.
     */
    public EJB21DeployableImpl(final IArchive archive) {
        super(archive);
    }
}
